> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Image

> Convert descriptive text input into images using AI with Imagen 4 Fast model. Optimized for speed and cost-effectiveness.

<Warning>This endpoint is deprecated and will be removed on **2026/05/13**. Please migrate to a supported alternative.</Warning>


## OpenAPI

````yaml POST /v1/ai/text-to-image/imagen4-fast
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/ai/text-to-image/imagen4-fast:
    post:
      tags:
        - text-to-image
      summary: Imagen 4 Fast - Create image from text
      description: >-
        Convert descriptive text input into images using AI with Imagen 4 Fast
        model. Optimized for speed and cost-effectiveness.
      operationId: create_image_from_text_imagen4_fast
      requestBody:
        content:
          application/json:
            examples:
              all-params:
                $ref: '#/components/examples/request-tti-imagen4-fast-all-params'
              required-params:
                $ref: '#/components/examples/request-tti-imagen4-fast-required-params'
            schema:
              $ref: '#/components/schemas/ttii4fast-request-content'
      responses:
        '200':
          content:
            application/json:
              examples:
                success - in progress task:
                  $ref: '#/components/examples/200-task-in-progress'
              schema:
                $ref: >-
                  #/components/schemas/get_style_transfer_task_status_200_response
          description: >-
            OK - The request has succeeded and the Imagen4 Fast process has
            started.
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_503_response'
          description: Service Unavailable
components:
  examples:
    request-tti-imagen4-fast-all-params:
      summary: Request - Text to image imagen4-fast all params
      value:
        prompt: A futuristic cityscape at night with neon lights
        aspect_ratio: widescreen_16_9
        person_generation: allow_adult
        safety_settings: block_medium_and_above
        seed: 12345
        enhance_prompt: true
        language: en
        output_options:
          mime_type: image/png
          compression_quality: 75
    request-tti-imagen4-fast-required-params:
      summary: Request - Text to image imagen4-fast required params
      value:
        prompt: Crazy dog in the space
    200-task-in-progress:
      summary: Success - Task in progress
      value:
        data:
          generated: []
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: IN_PROGRESS
  schemas:
    ttii4fast-request-content:
      allOf:
        - $ref: '#/components/schemas/imagen4-base-request-content'
    get_style_transfer_task_status_200_response:
      example:
        data:
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: CREATED
          generated:
            - https://openapi-generator.tech
            - https://openapi-generator.tech
      properties:
        data:
          $ref: '#/components/schemas/task-detail'
      required:
        - data
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    get_all_style_transfer_tasks_503_response:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    imagen4-base-request-content:
      properties:
        prompt:
          description: The text prompt for the image
          example: A beautiful sunset over a calm ocean
          type: string
        webhook_url:
          description: >
            Optional callback URL that will receive asynchronous notifications
            whenever the task changes status. The payload sent to this URL is
            the same as the corresponding GET endpoint response, but without the
            data field.
          example: https://www.example.com/webhook
          format: uri
          type: string
        aspect_ratio:
          default: square_1_1
          description: Aspect ratio for the generated image
          enum:
            - square_1_1
            - social_story_9_16
            - widescreen_16_9
            - traditional_3_4
            - classic_4_3
          example: square_1_1
          type: string
        person_generation:
          default: allow_adult
          description: Allow person generation
          enum:
            - dont_allow
            - allow_adult
            - allow_all
          type: string
        safety_settings:
          default: block_medium_and_above
          description: Safety settings options
          enum:
            - block_low_and_above
            - block_medium_and_above
            - block_only_high
            - block_none
          type: string
        seed:
          description: >-
            Seed for the image generation. If not provided, a random seed will
            be used. Does not work with enhance_prompt enabled.
          maximum: 4294967295
          minimum: 1
          type: integer
        enhance_prompt:
          description: >-
            Use LLM-based prompt rewriting for higher quality images that better
            reflect the original prompt's intent.
          type: boolean
        language:
          default: en
          description: Language code for the text prompt
          enum:
            - auto
            - en
            - zh
            - zh-CN
            - hi
            - ja
            - ko
            - pt
            - es
          type: string
        output_options:
          $ref: '#/components/schemas/imagen4_base_request_content_output_options'
      required:
        - prompt
      type: object
    task-detail:
      allOf:
        - $ref: '#/components/schemas/task'
        - properties:
            generated:
              items:
                description: URL of the generated image
                format: uri
                type: string
              type: array
          required:
            - generated
          type: object
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
        generated:
          - https://openapi-generator.tech
          - https://openapi-generator.tech
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    imagen4_base_request_content_output_options:
      properties:
        mime_type:
          default: image/png
          description: The MIME type of the generated image
          enum:
            - image/png
            - image/jpeg
          type: string
        compression_quality:
          default: 75
          description: The level of compression if the output type is image/jpeg
          maximum: 100
          minimum: 0
          type: integer
      type: object
    task:
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
      properties:
        task_id:
          description: Task identifier
          format: uuid
          type: string
        status:
          description: Task status
          enum:
            - CREATED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          type: string
      required:
        - status
        - task_id
      type: object
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````